Using Cordova plug-ins in Android AEM Mobile

Avatar

Avatar
Validate 1
Level 1
IlitoTor
Level 1

Likes

0 likes

Total Posts

5 posts

Correct reply

0 solutions
Top badges earned
Validate 1
View profile

Avatar
Validate 1
Level 1
IlitoTor
Level 1

Likes

0 likes

Total Posts

5 posts

Correct reply

0 solutions
Top badges earned
Validate 1
View profile
IlitoTor
Level 1

14-08-2018

Hello, I have a problem when I try to build an Android apk through the terminal.

I had followed all the steps that are here: Use Cordova plug-ins in AEM Mobile

But when I run into the terminal sudo aemm android build - device I get these errors: https://pastebin.com/GGKjQ6q2

Can anyone help me with this?

Accepted Solutions (0)

Answers (2)

Answers (2)

Avatar

Avatar
Validate 1
Level 1
IlitoTor
Level 1

Likes

0 likes

Total Posts

5 posts

Correct reply

0 solutions
Top badges earned
Validate 1
View profile

Avatar
Validate 1
Level 1
IlitoTor
Level 1

Likes

0 likes

Total Posts

5 posts

Correct reply

0 solutions
Top badges earned
Validate 1
View profile
IlitoTor
Level 1

14-08-2018

Hi Andrew,

Yes, is this command:

aemm build android --device

Yes, I saw this note and I tried this approach, but still does not work.

And, yes I can access this URL by my browser.

Thanks

Avatar

Avatar
Give Back 5
Level 2
AndrewTop
Level 2

Likes

2 likes

Total Posts

27 posts

Correct reply

5 solutions
Top badges earned
Give Back 5
Give Back 3
Give Back
Boost 1
Affirm 5
View profile

Avatar
Give Back 5
Level 2
AndrewTop
Level 2

Likes

2 likes

Total Posts

27 posts

Correct reply

5 solutions
Top badges earned
Give Back 5
Give Back 3
Give Back
Boost 1
Affirm 5
View profile
AndrewTop
Level 2

14-08-2018

So you get these errors when your run this correct?

aemm build android --device

Did you see this note:

Note:

If you are unable to build the app, we recommend that you uninstall NodeJS and install the current version of NodeJS (see the NodeJS site for details). In addition, run sudo npm uninstall -g aemm and then run sudo npm install -g aemm.

----------------------------------It appears like your problems are from missing dependencies.  For the error regarding https://jcenter.bintray.com/com/squareup/dagger/dagger/1.2.2/dagger-1.2.2.pom, could it be that your build machine doesn't have access to this site?  Can you hit it in your browser?